메인 콘텐츠로 건너뛰기
GET
/
2
/
dm_conversations
/
{id}
/
dm_events
DM 대화의 이벤트 조회
curl --request GET \
  --url https://api.x.com/2/dm_conversations/{id}/dm_events \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "event_type": "MessageCreate",
      "id": "1146654567674912769",
      "attachments": {
        "card_ids": [
          "<string>"
        ],
        "media_keys": [
          "<string>"
        ]
      },
      "cashtags": [
        {
          "end": 61,
          "start": 50,
          "tag": "TWTR"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "dm_conversation_id": "123123123-456456456",
      "hashtags": [
        {
          "end": 61,
          "start": 50,
          "tag": "MondayMotivation"
        }
      ],
      "mentions": [
        {
          "end": 61,
          "start": 50,
          "username": "<string>",
          "id": "2244994945"
        }
      ],
      "participant_ids": [
        "2244994945"
      ],
      "referenced_tweets": [
        {
          "id": "1346889436626259968"
        }
      ],
      "sender_id": "2244994945",
      "text": "<string>",
      "urls": [
        {
          "end": 61,
          "start": 50,
          "url": "https://developer.twitter.com/en/docs/twitter-api",
          "description": "This is a description of the website.",
          "display_url": "twittercommunity.com/t/introducing-…",
          "expanded_url": "https://developer.twitter.com/en/docs/twitter-api",
          "images": [
            {
              "height": 1,
              "url": "https://developer.twitter.com/en/docs/twitter-api",
              "width": 1
            }
          ],
          "media_key": "<string>",
          "status": 349,
          "title": "Introducing the v2 follow lookup endpoints",
          "unwound_url": "https://twittercommunity.com/t/introducing-the-v2-follow-lookup-endpoints/147118"
        }
      ]
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "includes": {
    "media": [
      {
        "type": "<string>",
        "preview_image_url": "<string>",
        "variants": [
          {
            "bit_rate": 123,
            "content_type": "<string>",
            "url": "<string>"
          }
        ],
        "height": 1,
        "media_key": "<string>",
        "width": 1
      }
    ],
    "places": [
      {
        "full_name": "Lakewood, CO",
        "id": "f7eb2fa2fea288b1",
        "contained_within": [
          "f7eb2fa2fea288b1"
        ],
        "country": "United States",
        "country_code": "US",
        "name": "Lakewood",
        "place_type": "city"
      }
    ],
    "polls": [
      {
        "id": "1365059861688410112",
        "options": [
          {
            "label": "<string>",
            "position": 123,
            "votes": 123
          }
        ],
        "duration_minutes": 5042,
        "end_datetime": "2023-11-07T05:31:56Z",
        "voting_status": "open"
      }
    ],
    "topics": [
      {
        "id": "<string>",
        "name": "Technology",
        "description": "All about technology"
      }
    ],
    "tweets": [
      {
        "author_id": "2244994945",
        "created_at": "Wed Jan 06 18:40:40 +0000 2021",
        "id": "1346889436626259968",
        "text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
        "username": "XDevelopers"
      }
    ],
    "users": [
      {
        "created_at": "2013-12-14T04:35:55Z",
        "id": "2244994945",
        "name": "X Dev",
        "protected": false,
        "username": "TwitterDev"
      }
    ]
  },
  "meta": {
    "next_token": "<string>",
    "previous_token": "<string>",
    "result_count": 123
  }
}

인증

Authorization
string
header
필수

The access token received from the authorization server in the OAuth 2.0 flow.

경로 매개변수

id
string
필수

DM 대화 ID입니다. DM 대화의 고유 식별자입니다. 숫자로만 이루어진 문자열이거나, 1:1 DM 대화의 경우 두 개의 숫자 문자열이 '-' 문자로 구분된 형태일 수 있습니다.

Pattern: ^([0-9]{1,19}-[0-9]{1,19}|[0-9]{15,19})$
예시:

"123123123-456456456"

쿼리 매개변수

max_results
integer<int32>
기본값:100

최대 결과 수입니다.

필수 범위: 1 <= x <= 100
pagination_token
string

이 매개변수는 지정된 "page"의 결과를 가져오는 데 사용됩니다. base32 페이지네이션 토큰입니다.

Minimum string length: 16
event_types
enum<string>[]

결과에 포함할 event_types의 집합입니다.

Minimum array length: 1
사용 가능한 옵션:
MessageCreate,
ParticipantsJoin,
ParticipantsLeave
예시:
["MessageCreate", "ParticipantsLeave"]
dm_event.fields
enum<string>[]

표시할 DmEvent 필드를 쉼표로 구분한 목록입니다. DmEvent 객체에서 사용 가능한 필드입니다.

Minimum array length: 1
사용 가능한 옵션:
attachments,
created_at,
dm_conversation_id,
entities,
event_type,
id,
participant_ids,
referenced_tweets,
sender_id,
text
예시:
[
"attachments",
"created_at",
"dm_conversation_id",
"entities",
"event_type",
"id",
"participant_ids",
"referenced_tweets",
"sender_id",
"text"
]
expansions
enum<string>[]

확장할 필드를 쉼표로 구분한 목록입니다. DmEvent 객체에 대해 확장 가능한 필드 목록입니다. 필드에 ID만 포함된 경우 전체 객체로 확장할 수 있습니다.

Minimum array length: 1
사용 가능한 옵션:
attachments.media_keys,
participant_ids,
referenced_tweets.id,
sender_id
예시:
[
"attachments.media_keys",
"participant_ids",
"referenced_tweets.id",
"sender_id"
]
media.fields
enum<string>[]

요청에 포함할 Media 필드의 쉼표로 구분된 목록입니다. Media 객체에서 지정할 수 있는 필드입니다.

Minimum array length: 1
사용 가능한 옵션:
alt_text,
duration_ms,
height,
media_key,
non_public_metrics,
organic_metrics,
preview_image_url,
promoted_metrics,
public_metrics,
type,
url,
variants,
width
예시:
[
"alt_text",
"duration_ms",
"height",
"media_key",
"non_public_metrics",
"organic_metrics",
"preview_image_url",
"promoted_metrics",
"public_metrics",
"type",
"url",
"variants",
"width"
]
user.fields
enum<string>[]

요청할 User 필드를 쉼표로 구분한 목록입니다. User 객체에서 사용할 수 있는 필드입니다.

Minimum array length: 1
사용 가능한 옵션:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
예시:
[
"affiliation",
"confirmed_email",
"connection_status",
"created_at",
"description",
"entities",
"id",
"is_identity_verified",
"location",
"most_recent_tweet_id",
"name",
"parody",
"pinned_tweet_id",
"profile_banner_url",
"profile_image_url",
"protected",
"public_metrics",
"receives_your_dm",
"subscription",
"subscription_type",
"url",
"username",
"verified",
"verified_followers_count",
"verified_type",
"withheld"
]
tweet.fields
enum<string>[]

표시할 Tweet 필드의 쉼표로 구분된 목록입니다. Tweet 객체에서 사용할 수 있는 필드입니다.

Minimum array length: 1
사용 가능한 옵션:
article,
attachments,
author_id,
card_uri,
community_id,
context_annotations,
conversation_id,
created_at,
display_text_range,
edit_controls,
edit_history_tweet_ids,
entities,
geo,
id,
in_reply_to_user_id,
lang,
media_metadata,
non_public_metrics,
note_tweet,
organic_metrics,
possibly_sensitive,
promoted_metrics,
public_metrics,
referenced_tweets,
reply_settings,
scopes,
source,
suggested_source_links,
suggested_source_links_with_counts,
text,
withheld
예시:
[
"article",
"attachments",
"author_id",
"card_uri",
"community_id",
"context_annotations",
"conversation_id",
"created_at",
"display_text_range",
"edit_controls",
"edit_history_tweet_ids",
"entities",
"geo",
"id",
"in_reply_to_user_id",
"lang",
"media_metadata",
"non_public_metrics",
"note_tweet",
"organic_metrics",
"possibly_sensitive",
"promoted_metrics",
"public_metrics",
"referenced_tweets",
"reply_settings",
"scopes",
"source",
"suggested_source_links",
"suggested_source_links_with_counts",
"text",
"withheld"
]

응답

요청이 성공했습니다.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체

includes
object
meta
object